# Eipi - The API-Building Language

Eipi is a declarative language for building modular APIs effortlessly. With Eipi, APIs are defined through simple configurations, focusing more on intent than implementation. Think of it as a framework that feels like a language—expressive, lightweight, and scalable.

## Key Features

- Declarative API Design: Define routes, methods, and payloads with clarity.
- Dynamic Module Loading: Load and manage modules seamlessly.
- Environment-Aware: Leverage .env files for secure, flexible configurations.
- Third-Party Integration: Easily connect to external APIs with minimal code.
- Error Management: Built-in error classes for robust exception handling.
- Eipi transforms API development into a language-like experience—clean, intuitive, and powerful.

### Enjoy using Eipi, feel free to give a feedback

- **[Reveal Eipi in Github](https://github.com/am-eric-kweyunga/eipi)** explore more about Eipi
- **[Learn how to install](https://am-eric-kweyunga.github.io/eipi-docs/)** explore more about Eipi
  